<ng-template #contentFac let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Facturación</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>Para Generar la Factura ingrese los siguientes, datos caso
                    contrario presionar en "Generar Comprobante": </p>
                <div class="row">

                    <div class="col-sm-6 ">

                        <input type="text" id="cedula" name="cedula"
                            onKeypress="if (event.keyCode <45 || event.keyCode>
                        57) event.returnValue = false;" name="cedula"
                        maxlength="10" [(ngModel)]="valCedula"
                        placeholder="Cédula" class="form-control" autofocus/>
                        <label class="form-label error" for="cedula"
                            *ngIf="errorCedula">{{strCedula}}</label>
                    </div>
                    <div class="col-sm-6 ">
                        <input type="text" id="telefono" name="telefono"
                            onKeypress="if (event.keyCode <45 || event.keyCode>
                        57) event.returnValue = false;" name="telefono"
                        maxlength="10" [(ngModel)]="valTelefono"
                        placeholder="Teléfono" class="form-control" autofocus/>
                        <label class="form-label error" for="telefono"
                            *ngIf="errorTelefono">{{strTelefono}}</label>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-primary"
            (click)="modal.close(1)">Generar Factura</button>
        <button type="button" class="btn btn-outline-success"
            (click)="modal.close(2)">Generar Comprobante</button>
    </div>
</ng-template>


<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Producto {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>

<div>
    <div class="col-sm-12 titulo text-center">
        Productos
    </div>
</div>
<div class="col-sm-12 tituloCafe text-center">
<div class="row align-items-start">
    <div class="col-sm-8 ">
        <div class="row ">
            <div class="col-sm-6">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="categoria">Categorias</label>
                    <select class="form-select" id="categoria" name="categoria"
                        (change)="buscarxCategoria($event)"
                        [(ngModel)]="catBuscar">
                        <option value="0">Todas las Categorias</option>
                        <option *ngFor="let datos of categorias"
                            [value]="datos.id">
                            {{datos.nombre}}
                        </option>

                    </select>

                </div>
            </div>
            <div class="col-sm-6">
                <div class="input-group mb-3">
                    <input type="text" id="nombre" name="nombre"
                        placeholder="Buscar por nombre del Producto"
                        class="form-control textoInput" (change)="buscarxNombre($event)"/>
                </div>
            </div>
        </div>
        <br>
        <div class="row" >
            <div class="col-sm-12">
                <div class="row col-sm-12 col-sm-offset-1" style="justify-content: flex-start;">
                    <div class="col-sm-6" *ngFor="let datos of productos; let i = index" >
                        
                        <div class="row">
                            <div class="col-sm-6 ">
                                <img src="{{datos.imagen}}" 
                                    style="width: '100%'; height: 160px;"
                                    (error)="cargarImagenCategoria(i)">
                                
                            </div>
                            <div class="col-sm-6">
                                <div class="espacioTomate text-center" style="display: flex; align-items: center; justify-content: center;">
                                   <h5 style="color: black;">{{datos.nombre}}</h5> 
                                </div>
                                <div class="espacioPrecio text-center" style="display: flex;flex-direction: column; align-items: center; justify-content: center;">
                                    <h5 style="color: white;">Precio: $ {{datos.precio}}</h5>
                                    <h5 *ngIf="datos.descuento > 0" style="color: white;">Descuento: {{datos.descuento}} %</h5>
                                </div>
                            </div>
                        </div>
                        <button class="btn botongris"  style="border-radius: 0%; "
                                    [id]="'addCarrito'+datos.id"
                                    (click)="guardarCarrito(datos.categoria,datos.id,datos.precio,datos.IVA,datos.descuento)">
                                    <a>Añadir al carrito</a>
                                </button>
                            
                                <br/>
                                <div style="height: 45px;">
                            </div>
                    </div>
                    
                </div>
                <br>
            </div>
        </div>


    </div>
    <div class="col-sm-4 " >
        <div class="card " style="border-radius: 0%; margin-right: 10px;">
            <div id="">
                <div class="card-header titulo text-white d-flex
                    justify-content-between align-items-center">
                    <h3>Compras</h3>
                    
                </div>

                <div class="card-body">
                    <div *ngIf="!compras">
                        <h5 style="color: #735C15;">No tiene productos en el Carrito</h5>
                    </div>
                    <div *ngIf="compras">
                        <div id="tabla1">
                            <h5>Productos Seleccionados</h5>

                            <table class="table table-striped">
                                <thead style="background-color: #735C15;" >
                                    <tr>
                                        <td style="font-size: 13px; color: white;">Nombre</td>
                                        <td style="font-size: 13px; color: white;">Cantidad</td>
                                        <td style="font-size: 13px; color: white;">Opciones</td>

                                    </tr>
                                </thead>
                                <tbody>
                                    <ng-container *ngFor="let datos of ventasD; let i = index">
                                        <tr [ngClass]="{'table-row-color': i % 2 == 0, 'table-row-alternate': i % 2 != 0}" style="vertical-align: top;">
                                        <td style="font-size: 12px; vertical-align: top;">{{ datos.nombreProducto }}</td>
                                        <td >
                                            <input type="number" id="nombreB"
                                                name="nombreB"
                                                [(ngModel)]="datos.cantidad"
                                                class="form-control"
                                                min="0"
                                                max={{datos.maximo}}
                                                (change)="actualizar(datos.id,datos.cantidad,datos.maximo)"
                                                style="font-size: 12px; vertical-align: top;"
                                                /> 
                                        </td>
                                        
                                        <td style="vertical-align: top;">

                                            <div style="display: flex; align-items: flex-start;">
                                                <button class="btn btn-danger btn-sm" style="margin-top: 0;">
                                                  <i class="fa fa-trash" aria-hidden="true" (click)="open(content,datos.id,datos.nombreProducto)"></i>
                                                </button>
                                              </div>

                                        </td>
                                    </tr>
                                </ng-container>
                                </tbody>
                            </table>
                        </div>
                        <div class="row">
                            <div *ngFor="let dato of listaIVA" class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9 texto-derecha"><p style="font-size: 14px;">{{ dato.proceso }} {{ dato.iva }} :</p></div>
                                    <div class="col-md-3"><p style="font-size: 14px;">{{ dato.valor }}</p></div>
                                </div>
                                
                              </div>
                            

                        </div>
                        <br>
                        <button class="btn botonVerde"

                            routerLink="/carrito">
                            Ir a Carrito
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<div class="col-sm-12" *ngIf="control">
    <div class="card text-center ">
        <div id="tabla">
            <div class="card-header text-white d-flex
                justify-content-between align-items-center">
                Compras
            </div>

            <div class="card-body">
                <div *ngIf="!compras">
                    <p>No tiene productos en el Carrito</p>
                </div>
                <div *ngIf="compras">
                    <div id="tabla1">
                        <h2>DETALLE DE LA COMPRA</h2>
                        <hr>
                        <br>
                        <div class="row"><p>Nombre: </p>
                            <input [(ngModel)]="valNombre"
                                placeholder="Nomrbe" class="form-control"
                                autofocus/>
                        </div>
                        <div class="row" *ngIf="estadoFactura"><p>Cédula: </p>
                            <input [(ngModel)]="valCedula"
                                placeholder="Cédula" class="form-control"
                                autofocus/>
                        </div>
                        <div class="row" *ngIf="estadoFactura"><p>Teléfono: </p>
                            <input [(ngModel)]="valTelefono"
                                placeholder="Teléfono" class="form-control"
                                autofocus/>
                        </div>

                        <br>
                        <hr>
                        <table class="table table-striped">
                            <thead class="">
                                <tr>
                                    <td>Nombre</td>
                                    <td>Descripción</td>
                                    <td>Precio</td>
                                    <td>Cantidad</td>
                                    <td>Total</td>


                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let datos of ventasD">
                                    <td>{{ datos.nombreProducto }}</td>
                                    <td>{{ datos.descripcion }}</td>
                                    <td>{{ datos.precio }}</td>
                                    <td>{{ datos.cantidad }}</td>
                                    <td>{{ datos.total }}</td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-md-9 ">
                            <p>Sub Total</p>
                            <p>IVA</p>
                            <p>Total</p>
                        </div>
                        <div class="col-md-3">
                            <p>$ {{ vaSubTo }}</p>
                            <p>$ {{ vaIva }}</p>
                            <p>$ {{ vaTo }}</p>
                        </div>


                    </div>

                </div>
            </div>
        </div>
    </div>
</div>